Preview release.These docs are a work in progress. Pages are still being written, links may break, and structure may shift without notice. Treat everything here as a draft and report issues onGitHub.
List OGC collections
GET
/ogc/v1/collections
const url = 'https://data.example.test/ogc/v1/collections';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://data.example.test/ogc/v1/collections \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
collections
required
Array<object>
object
crs
Array<string>
description
string
extent
object
key
additional properties
any
id
required
string
itemType
required
string
links
required
Array<object>
object
href
required
string
rel
required
string
title
string
type
string
key
additional properties
any
properties
object
key
additional properties
any
storageCrs
string format: uri
title
string
links
required
Array<object>
object
href
required
string
rel
required
string
title
string
type
string
key
additional properties
any
Example
{ "collections": [ { "itemType": "feature" } ]}Invalid OGC or spatial query parameter.
Media typeapplication/problem+json
RFC 9457 Problem Details, returned for every non-2xx response.
object
code
required
string
detail
required
string
request_id
required
string
status
required
integer format: int32
title
required
string
type
required
string format: uri
key
additional properties
any
Example
{ "code": "auth.missing_credential", "detail": "no credential provided in Authorization or x-api-key header", "request_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "status": 401, "title": "Missing credential", "type": "https://registry-relay.dev/problems/auth/missing_credential"}Missing or invalid bearer credential.
Media typeapplication/problem+json
RFC 9457 Problem Details, returned for every non-2xx response.
object
code
required
string
detail
required
string
request_id
required
string
status
required
integer format: int32
title
required
string
type
required
string format: uri
key
additional properties
any
Example
{ "code": "auth.missing_credential", "detail": "no credential provided in Authorization or x-api-key header", "request_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "status": 401, "title": "Missing credential", "type": "https://registry-relay.dev/problems/auth/missing_credential"}Authenticated principal lacks the scope required for this operation.
Media typeapplication/problem+json
RFC 9457 Problem Details, returned for every non-2xx response.
object
code
required
string
detail
required
string
request_id
required
string
status
required
integer format: int32
title
required
string
type
required
string format: uri
key
additional properties
any
Example
{ "code": "auth.missing_credential", "detail": "no credential provided in Authorization or x-api-key header", "request_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "status": 401, "title": "Missing credential", "type": "https://registry-relay.dev/problems/auth/missing_credential"}OGC collection or feature not found.
Media typeapplication/problem+json
RFC 9457 Problem Details, returned for every non-2xx response.
object
code
required
string
detail
required
string
request_id
required
string
status
required
integer format: int32
title
required
string
type
required
string format: uri
key
additional properties
any
Example
{ "code": "auth.missing_credential", "detail": "no credential provided in Authorization or x-api-key header", "request_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "status": 401, "title": "Missing credential", "type": "https://registry-relay.dev/problems/auth/missing_credential"}default
Section titled “default”Problem Details error response.
Media typeapplication/problem+json
RFC 9457 Problem Details, returned for every non-2xx response.
object
code
required
string
detail
required
string
request_id
required
string
status
required
integer format: int32
title
required
string
type
required
string format: uri
key
additional properties
any
Example
{ "code": "auth.missing_credential", "detail": "no credential provided in Authorization or x-api-key header", "request_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "status": 401, "title": "Missing credential", "type": "https://registry-relay.dev/problems/auth/missing_credential"}